LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces
component.hxx File Reference
`#include <osl/mutex.hxx>`
`#include <cppuhelper/weakagg.hxx>`
`#include <cppuhelper/interfacecontainer.hxx>`
`#include <cppuhelper/implbase1.hxx>`
`#include <com/sun/star/lang/XComponent.hpp>`
`#include <com/sun/star/lang/XEventListener.hpp>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Classes
class | cppu::OComponentHelper
| Deprecated. More...

## Namespaces
| cppu